local fn = _gn(0x76A18844E743BF91)
--- HAS_WEAPON_GOT_WEAPON_COMPONENT
-- @param weapon :
-- @param addonHash :
function Global.HasWeaponGotWeaponComponent(weapon, addonHash)
	return _in2(fn, weapon, _ch(addonHash), _r)
end
